<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Atención de Hallazgos EN RAMA MASTER</strong>
    </div>
    <div class="contSecc">
      <busqueda-resumen></busqueda-resumen>
      <div class="titSec">Atención de hallazgos</div>
      <div class="gris">
        <div class="txtInfo">
          ¿Los estractos de la azotea están colocados correctamente? (Sí la
          respuesta es SÍ, se despliegan las preguntas 385 y 386).
        </div>
        <div class="contSecc">
          <busqueda-resumen></busqueda-resumen>
          <div class="titSec">Atención de hallazgo</div>
          <div class="gris">
            <div class="txtInfo">
              ¿Los estractos de la azotea están colocados correctamente? (Sí la
              respuesta es SÍ, se despliegan las preguntas 385 y 386).
            </div>
            <div class="contVisor">
              <div class="contenedor-visores">
                <visor-fotografia
                  titulo="Evidencia actual"
                  :dataLateral="dataLateral"
                  modoVista="1"
                ></visor-fotografia>
              </div>
            </div>
            <div class="btnCenter">
              <router-link to="/maquetado/hallazgos/busqueda-resultados">
                <button class="btn btnB">Regresar</button>
              </router-link>
              <button
                class="btn btnG"
                @click.stop="dialogRechazo = true"
                v-if="!modoVista == 3"
              >
                Rechazar
              </button>
              <button class="btn" @click.stop="dialogConfirmacion = true">
                Atender
              </button>
            </div>
          </div>
        </div>
        <div class="btnCenter">
          <router-link to="/maquetado/hallazgos/busqueda-resultados">
            <button class="btn btnB">Regresar</button>
          </router-link>
          <button
            class="btn btnG"
            @click.stop="dialogRechazo = true"
            v-if="modoVista == 2"
          >
            Rechazar
          </button>
          <button class="btn" @click.stop="dialogConfirmacion = true">
            Atender
          </button>
        </div>
      </div>
    </div>

    <!--Confirmación de cambios Hallazgos-->
    <v-dialog v-model="dialogConfirmacion" max-width="600">
      <v-card>
        <v-card-title class="headline">
          <div class="titModal">Confirmación de cambios</div>
        </v-card-title>
        <div class="contModal tCenter">
          <img src="@/assets/img/hallazgos/icoAlerta.svg" class="icoModal" />
          <div>¿Desea dar por entendido el hallazgo?</div>

          <div class="btnCenter">
            <button
              type="button"
              class="btn btnG"
              text
              @click="dialogConfirmacion = false"
            >
              No cancelar
            </button>
            <button
              type="button"
              class="btn"
              text
              @click="(dialogConfirmacion = false), (dialogGuardar = true)"
            >
              Sí atender
            </button>
          </div>
        </div>
      </v-card>
    </v-dialog>

    <!--Cambios guardados con exito Hallazgos-->
    <v-dialog v-model="dialogGuardar" max-width="600">
      <v-card>
        <v-card-title class="headline">
          <div class="titModal">Cambios guardados con éxito</div>
        </v-card-title>
        <div class="contModal tCenter">
          <img src="@/assets/img/hallazgos/icoGuardar.svg" class="icoModal" />
          <div>
            Los cambios realizados
            <strong>se han guardado con éxito</strong>
          </div>

          <div class="btnCenter">
            <button
              type="button"
              class="btn btnG"
              text
              @click="(dialogGuardar = false), (dialogGuardarError = true)"
            >
              Cancelar
            </button>
            <button
              type="button"
              class="btn"
              text
              @click="dialogGuardar = false"
            >
              Aceptar
            </button>
          </div>
        </div>
      </v-card>
    </v-dialog>

    <!--Error al guardar los cambios Hallazgos-->
    <v-dialog v-model="dialogGuardarError" max-width="600">
      <v-card class="errorM">
        <v-card-title class="headline">
          <div class="titModal titModaleError">
            Error al guardar los cambios
          </div>
        </v-card-title>
        <div class="contModal tCenter">
          <img
            src="@/assets/img/hallazgos/icoGuardarError.svg"
            class="icoModal"
          />
          <div>
            Ocurrió un error al guardar los cambios,
            <strong>por favor reintentalo</strong>
          </div>
          <div class="btnCenter">
            <button
              type="button"
              class="btn error"
              text
              @click="dialogGuardar = false"
            >
              Reintentar
            </button>
          </div>
        </div>
      </v-card>
    </v-dialog>

    <!--Motivo del rechazo Hallazgos-->
    <v-dialog v-model="dialogRechazo" max-width="600">
      <v-card>
        <v-card-title class="headline">
          <div class="titModal">Motivo del rechazo</div>
        </v-card-title>
        <div class="contModal tCenter">
          <img src="@/assets/img/hallazgos/icoAlerta.svg" class="icoModal" />
          <div>
            Para continuar, por favor indique el,
            <strong>motivo del rechazo</strong>
          </div>
          <br />
          <v-textarea solo></v-textarea>

          <div class="btnCenter">
            <button
              type="button"
              class="btn btnG"
              text
              @click="dialogRechazo = false"
            >
              Cancelar
            </button>
            <button
              type="button"
              class="btn"
              text
              @click="dialogRechazo = false"
            >
              Enviar
            </button>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
import BusquedaResumen from "@/views/maquetado/hallazgos/busqueda-resumen";
import VisorFotografia from "@/views/maquetado/hallazgos/visor-fotografia";
export default {
  name: "Component-busquedaAtencion",
  components: {
    BusquedaResumen,
    VisorFotografia,
  },
  data: () => ({
    modoVista: 2,
    //modal
    dialogConfirmacion: false,
    dialogGuardar: false,
    dialogGuardarError: false,
    dialogRechazo: false,

    //Slider
    breadcrumbs: [
      {
        text: "Plataforma de Franquicia",
        disabled: false,
        exact: true,
        to: {
          name: "home",
        },
      },
      {
        text: "Atención de hallazgos",
        disabled: false,
        exact: true,
        to: {
          name: "maquetado_hallazgos-busqueda",
        },
      },
      {
        text: "Atención de Hallazgos",
        disabled: true,
      },
    ],

    //Slider
    imagenes: [
      { img: require("@/assets/img/hallazgos/tiendas/elektra1.jpg") },
      { img: require("@/assets/img/hallazgos/tiendas/elektra4.jpg") },
    ],
    model: 0,
  }),
  methods: {},
};
</script>

<style scoped>
.contEvidencia {
  width: 100%;
  border: 1px solid #ccc;
  background-color: #ffffff;
}
.medium {
  font-family: "AvenirNextLTPro-Medium";
  font-size: 15px;
  padding: 10px 0px;
}
.contenedor-visores {
  width: 98%;
  margin: 20px auto;
}
</style>
